//#include "stdafx.h"

#ifdef _WIN32_WCE
	#ifdef I8092_EXPORTS
		#define I8092_API extern  "C" __declspec(dllexport)
	#else
		#define I8092_API extern  "C" __declspec(dllimport)
	#endif
#else
	#define I8092_API
#endif

//==========================================================================
//===================           Valibal           ==========================
//==========================================================================

#define   YES    1
#define   NO     0
#define   ON     1
#define   OFF    0

//-------------------------------------------------------------
// MOTION TYPE
#define   ACCMODE  0
#define   CONST2   1
#define   CONST3   2

// STEP INTERPOLATION MODE
#define   EXPLS    8
#define   CMPLS    16


//-------------------------------------------------------------
#define BYTE  unsigned char
#define WORD  unsigned short int
#define DWORD unsigned long int


//-------------------------------------------------------------
// Axis define
#define AXIS_X 		0x1
#define AXIS_Y 		0x2
#define AXIS_XY		0x3


//============================================================================ 
#ifdef _WIN32_WCE 
I8092_API void DoEvents();
#endif
//============================================================================
//============================================================================
//============================================================================
//====================== Macro Function declarations =========================
//============================= Release Manual ===============================
//============================================================================ 
#ifdef _WIN32_WCE
	I8092_API
#endif  
BYTE i8092MF_REGISTRATION(BYTE cardNo, BYTE slot);
//----------------------------------------------------------------------------
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092MF_GET_VERSION(void);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_PULSE_MODE(BYTE cardNo, WORD axis, BYTE nMode);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_MAX_V(BYTE cardNo, WORD axis, DWORD data);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SERVO_ON(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SERVO_OFF(BYTE cardNo, WORD axis);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_RESET_CARD(BYTE cardNo);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_HLMT(BYTE cardNo, WORD axis, BYTE nFLEdge, BYTE nRLEdge);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_LIMITSTOP_MODE(BYTE cardNo, WORD axis, BYTE nMode);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_NHOME(BYTE cardNo, WORD axis, BYTE nNHEdge);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_HOME_EDGE(BYTE cardNo, WORD axis, BYTE nHEdge);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_SLMT(BYTE cardNo, WORD axis, long dwFL, long dwRL, BYTE nType);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif	
void i8092MF_CLEAR_SLMT(BYTE cardNo, WORD axis);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_ENCODER(BYTE cardNo, WORD axis, BYTE nMode, BYTE nDevision, BYTE nZEdge);
	
//----------------------------------------------------------------------------            Add New
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_EN_DIR(BYTE cardNo, WORD axis, BYTE nDir);

//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_ALARM(BYTE cardNo, WORD axis, BYTE nMode, BYTE nAEdge);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_INPOS(BYTE cardNo, WORD axis, BYTE nMode, BYTE nIEdge);
//----------------------------------------------------------------------------  
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_FILTER(BYTE cardNo, WORD axis, WORD FEn, WORD FLn);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_VRING_ENABLE(BYTE cardNo, WORD axis, DWORD nVRing);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_VRING_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_AVTRI_ENABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_AVTRI_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_LP(BYTE cardNo, WORD axis, long wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
long i8092MF_GET_LP(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_EP(BYTE cardNo, WORD axis, long wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
long i8092MF_GET_EP(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
DWORD i8092MF_GET_CV(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
DWORD i8092MF_GET_CA(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_GET_DI(BYTE cardNo, WORD axis, WORD nType);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092MF_GET_DI_ALL(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_GET_ERROR(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092MF_GET_ERROR_CODE(BYTE cardNo,WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_CLEAR_STOP(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_OUT0(BYTE cardNo, WORD axis, WORD nLevel);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
I8092_API 
#endif
WORD i8092MF_FRNET_RA(BYTE cardNo, WORD wRA);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
I8092_API 
#endif
WORD i8092MF_FRNET_RA(BYTE cardNo, WORD wRA);

//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
I8092_API
#endif
void i8092MF_FRNET_SA(BYTE cardNo, WORD wSA, WORD data);


//----------------------------------------------------------------------------
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_NORMAL_SPEED(BYTE cardNo, WORD axis, WORD nMode);
//----------------------------------------------------------------------------
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_SV(BYTE cardNo, WORD axis, DWORD data);
//----------------------------------------------------------------------------
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_V(BYTE cardNo, WORD axis, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_A(BYTE cardNo, WORD axis, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_D(BYTE cardNo, WORD axis, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_K(BYTE cardNo, WORD axis, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_AO(BYTE cardNo, WORD axis, short int data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_STOP_SLOWLY(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_STOP_SUDDENLY(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_DRV_HOLD(BYTE cardNo, WORD axis);

//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_DRV_START(BYTE cardNo, WORD axis);
//============================================================================
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_SEARCH_NHOME(BYTE cardNo, WORD axis, WORD nDir, DWORD v,long lBack);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_SEARCH_HOME(BYTE cardNo, WORD axis, WORD nDir, DWORD v,long lBack);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_SEARCH_ZPHASE(BYTE cardNo, WORD axis, WORD nDir, DWORD v);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_AUTO_HOME(BYTE cardNo, WORD axis, 
WORD nStep1,WORD nStep2, WORD nStep3, WORD nStep4 , long lOffset,DWORD dwV,DWORD dwHV,long lBack);

//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_FIXED_MOVE(BYTE cardNo, WORD axis, long data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_CONTINUE_MOVE(BYTE cardNo, WORD axis, long data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_STOP_WAIT(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_VECTOR_SPEED(BYTE cardNo, WORD nMode);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_VSV(BYTE cardNo, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_VV(BYTE cardNo, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_VA(BYTE cardNo, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_VD(BYTE cardNo, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_VK(BYTE cardNo, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_SET_VAO(BYTE cardNo, short int data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_VSTOP_SLOWLY(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_VSTOP_SUDDENLY(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_INTP_END(BYTE cardNo);//, WORD type);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_LINE_2D(BYTE cardNo, long fp1, long fp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_ARC_CW(BYTE cardNo, long cp1, long cp2, long fp1, long fp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_ARC_CCW(BYTE cardNo, long cp1, long cp2, long fp1, long fp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_CIRCLE_CW(BYTE cardNo, long cp1, long cp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_CIRCLE_CCW(BYTE cardNo, long cp1, long cp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_EXD_MP(BYTE cardNo, WORD axis, long data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_EXD_FP(BYTE cardNo, WORD axis, long data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_EXD_CP(BYTE cardNo, WORD axis, long data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_EXD_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_RECTANGLE(BYTE cardNo, WORD nAcc, WORD Sp, WORD nDir, long Lp, long Wp, long Rp, DWORD RSV, DWORD RV, DWORD RA, DWORD RD);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_LINE_2D_INITIAL(BYTE cardNo, DWORD VSV, DWORD VV, DWORD VA);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_LINE_2D_CONTINUE(BYTE cardNo, WORD nType, long fp1, long fp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_CONTINUE_INTP(BYTE cardNo, WORD nAcc, DWORD VSV, DWORD VV, DWORD VA, DWORD VD, BYTE nType[], long cp1[], long cp2[], long fp1[], long fp2[]);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_RATIO_INITIAL(BYTE cardNo, DWORD SV, DWORD V, DWORD A, float ratio);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_RATIO_2D(BYTE cardNo, WORD nType, long data, WORD nDir);

//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_MIX_2D_INITIAL(BYTE cardNo, WORD nAcc, DWORD VSV, DWORD VV, DWORD VA);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
BYTE i8092MF_MIX_2D_CONTINUE(BYTE cardNo, WORD nAcc, WORD nType, long cp1, long cp2, long fp1, long fp2);
//============================ 2005/11/9 Add =============================
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_DRV_HOLD(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092MF_DRV_START(BYTE cardNo, WORD axis);












//============================================================================
//======================= Base Function declarations =========================
//============================= Release Manual ===============================
//============================================================================
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_COMMAND(BYTE cardNo, WORD axis, WORD cmd);
 
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_WR1(BYTE cardNo, WORD axis, WORD wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_WR2(BYTE cardNo, WORD axis, WORD wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_WR3(BYTE cardNo, WORD axis, WORD wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_WR4(BYTE cardNo, WORD wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_WR5(BYTE cardNo, WORD wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_RR0(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_RR1(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_RR2(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_RR3(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_RR4(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_RR5(BYTE cardNo);
//----------------------------------------------------------------------------
#ifdef _WIN32_WCE  
I8092_API BYTE i8092_REGISTRATION(BYTE cardNo, BYTE slot);
#else 
BYTE i8092_REGISTRATION(BYTE cardNo, BYTE slot);
#endif
//----------------------------------------------------------------------------
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_VERSION(void);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_PULSE_MODE(BYTE cardNo, WORD axis, WORD mode);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_R(BYTE cardNo, WORD axis, DWORD dwdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
DWORD i8092_GET_R(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_AXIS_ASSIGN(BYTE cardNo, WORD axis1, WORD axis2, WORD axis3);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HLMTP_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HLMTM_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SLMTP_MODE(BYTE cardNo, WORD axis, WORD nMode);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SLMTM_MODE(BYTE cardNo, WORD axis, WORD nMode);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_COMPARE_LP(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_COMPARE_EP(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_RESET_CARD(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_LP(BYTE cardNo, WORD axis, long wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_EP(BYTE cardNo, WORD axis, long wdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
long i8092_GET_LP(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
long i8092_GET_EP(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_CV(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_GET_CA(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_CP(BYTE cardNo, WORD axis, long dwdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_CM(BYTE cardNo, WORD axis, long dwdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_VRING_ENABLE(BYTE cardNo, WORD axis, DWORD nVRing);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_VRING_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_AVTRI_ENABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_AVTRI_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_SV(BYTE cardNo, WORD axis, WORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_V(BYTE cardNo, WORD axis, WORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_A(BYTE cardNo, WORD axis, WORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_D(BYTE cardNo, WORD axis, WORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_K(BYTE cardNo, WORD axis, WORD data);
	/*/
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_L(BYTE cardNo, WORD axis, WORD data);
	/*/
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_PULSE(BYTE cardNo, WORD axis, DWORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_AO(BYTE cardNo, WORD axis, WORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_TCURVE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_SCURVE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_AUTODEC(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_MANDEC(BYTE cardNo, WORD axis, DWORD decdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_DRV_FDRIVE(BYTE cardNo, WORD axis, WORD ndir);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_DRV_CDRIVE(BYTE cardNo, WORD axis, WORD ndir);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_SYMMETRY(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_ASYMMETRY(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_STOP_WAIT(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_STOP_SLOWLY(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_STOP_SUDDENLY(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_DRV_HOLD(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_DRV_START(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_MOTION_TYPE(BYTE cardNo, WORD type);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_FINISH (BYTE cardNo, WORD axis, long ldata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_LINE_2D(BYTE cardNo, long fp1, long fp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_CENTER(BYTE cardNo, WORD axis, DWORD dwdata);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ARC_CW(BYTE cardNo, long cp1, long cp2, long fp1, long fp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ARC_CCW(BYTE cardNo, long cp1, long cp2, long fp1, long fp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_CIRCLE_CW(BYTE cardNo, long cp1, long cp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_CIRCLE_CCW(BYTE cardNo, long cp1, long cp2);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_NEXT_WAIT(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_BP_ENABLE(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_BP_DISABLE(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_BP_CLEAR(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_BP_STACK(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_BP_WAIT(BYTE cardNo);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_EXTENSION_MODE(BYTE cardNo, WORD axis, WORD em6data, WORD em7data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ST0_LEVEL(BYTE cardNo, WORD axis, WORD n);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ST1_LEVEL(BYTE cardNo, WORD axis, WORD n);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ST2_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HOME1(BYTE cardNo, WORD axis, WORD nDir, WORD v);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HOME2(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HOME3(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HOME4(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HOME5(BYTE cardNo, WORD axis, WORD nDir, WORD v, long offset);
///---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HOME6(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv, long offset);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HOME7(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv, long offset);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_HOME8(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv, long offset);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_LIMITSTOP_MODE(BYTE cardNo, WORD axis, WORD nMode);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ENCODER_MODE(BYTE cardNo, WORD axis, WORD nMode);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ENCODER_DIVISION(BYTE cardNo, WORD axis, WORD nMode);
//----------------------------------------------------------------------------     add new
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ENCODER_DIR(BYTE cardNo, WORD axis, WORD nDir);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ALARM_ENABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ALARM_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_INPOS_ENABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_INPOS_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_ALARM_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_INPOS_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_STn_ENABLE(BYTE cardNo, WORD axis, WORD INn);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_STn_DISABLE(BYTE cardNo, WORD axis, WORD INn);
/*/
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_IN3_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
/*/
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_EXTDRV_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_EXTDRV_CDRIVE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_EXTDRV_FDRIVE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_EXTDRV_MANUAL(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_OUT0(BYTE cardNo, WORD axis, WORD nLevel);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SET_OUT1(BYTE cardNo, WORD axis, WORD n);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_DIGITAL_FILTER(BYTE cardNo, WORD axis, WORD FEn, WORD FLn);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SERVO_ON(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_SERVO_OFF(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
WORD i8092_FRNET_RA(BYTE cardNo, WORD wRA);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void i8092_FRNET_SA(BYTE cardNo, WORD wSA, WORD data);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void 	i8092_EPCLR_ENABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void 	i8092_EPCLR_DISABLE(BYTE cardNo, WORD axis);
//---------------------------------------------------------------------------- 
#ifdef _WIN32_WCE
	I8092_API
#endif
void 	i8092_SET_EPINV(BYTE cardNo, WORD aixs, WORD nMode);
//---------------------------------------------------------------------------- 



//==========  do not use for Other user =============================
#ifndef _WIN32_WCE
BYTE i8092MF_GET_LPB(BYTE cardNo, WORD axis);
BYTE i8092MF_GET_EPB(BYTE cardNo, WORD axis);
#endif
//==========  do not use for  =======================================



#ifdef _WIN32_WCE
//============================================================================
//========================= Macro Function Class =============================
//============================ Release Manual ================================
//============================================================================
#ifdef I8092_EXPORTS
		#define CAPI __declspec(dllexport)
#else
		#define CAPI __declspec(dllimport)
#endif

class CAPI CI8092MF
{
	public:
	//3.1.1 
	BYTE REGISTRATION(BYTE cardNo, BYTE slot);
	WORD GET_VERSION(void);

	//3.1.2 
	void SET_PULSE_MODE(BYTE cardNo, WORD axis, BYTE nMode);

	//3.1.3 
	void SET_MAX_V(BYTE cardNo, WORD axis, DWORD data);

	//3.1.4 (Servo_ON/OFF)
	void SERVO_ON(BYTE cardNo, WORD axis);
	void SERVO_OFF(BYTE cardNo, WORD axis);

	//3.1.5 
	void RESET_CARD(BYTE cardNo);

	//3.1.6 
	void SET_HLMT(BYTE cardNo, WORD axis, BYTE nFLEdge, BYTE nRLEdge);

	//3.1.7 
	void LIMITSTOP_MODE (BYTE cardNo, WORD axis, BYTE nMode);

	//3.1.8 
	void SET_NHOME(BYTE cardNo, WORD axis, BYTE nNHEdge);

	//3.1.9 
	void SET_HOME_EDGE(BYTE cardNo, WORD axis, BYTE nHEdge);

	//3.1.10 
	void SET_SLMT(BYTE cardNo, WORD axis, long dwFL, long dwRL, BYTE nType);
	void CLEAR_SLMT(BYTE cardNo, WORD axis);

	//3.1.11 
	void SET_ENCODER(BYTE cardNo, WORD axis, BYTE nMode, BYTE nDevision, BYTE nZEdge);

	//3.1.12 
	void SET_ALARM(BYTE cardNo, WORD axis, BYTE nMode, BYTE nAEdge);

	//3.1.13 
	void SET_INPOS(BYTE cardNo, WORD axis, BYTE nMode, BYTE nIEdge);

	//3.1.14 
	void SET_FILTER(BYTE cardNo, WORD axis, WORD FEn, WORD FLn);

	//3.1.15 
	void VRING_ENABLE(BYTE cardNo, WORD axis, DWORD nVRing);
	void VRING_DISABLE(BYTE cardNo, WORD axis);

	//3.1.16 
	void AVTRI_ENABLE(BYTE cardNo, WORD axis);

	void AVTRI_DISABLE(BYTE cardNo, WORD axis);

	//3.2.1
	void SET_LP(BYTE cardNo, WORD axis, long wdata);

	long GET_LP(BYTE cardNo, WORD axis);
	//3.2.2
	void SET_EP(BYTE cardNo, WORD axis, long wdata);

	long GET_EP(BYTE cardNo, WORD axis);

	//3.2.3
	DWORD GET_CV(BYTE cardNo, WORD axis);

	//3.2.4
	DWORD GET_CA(BYTE cardNo, WORD axis);

	//3.2.5
	BYTE GET_DI(BYTE cardNo, WORD axis, WORD nType);

	//3.2.6
	BYTE GET_ERROR(BYTE cardNo);
	WORD GET_ERROR_CODE(BYTE cardNo,WORD axis);
	void CLEAR_STOP(BYTE cardNo);

	//3.2.7 
	void SET_OUT0(BYTE cardNo, WORD axis, WORD nLevel);

	//3.3.1 
	WORD FRNET_RA(BYTE cardNo, WORD wRA);

	//3.3.3 
	void FRNET_SA(BYTE cardNo, WORD wSA, WORD data);

	//4.1.1 
	void NORMAL_SPEED(BYTE cardNo, WORD axis , WORD nMode);

	//4.1.2 
	void SET_SV(BYTE cardNo, WORD axis, DWORD data);

	//4.1.3 
	void SET_V(BYTE cardNo, WORD axis, DWORD data);

	//4.1.4 
	void SET_A(BYTE cardNo, WORD axis, DWORD data);

	//4.1.5 
	void SET_D(BYTE cardNo, WORD axis, DWORD data);
	
	//4.1.6 
	void SET_K(BYTE cardNo, WORD axis, DWORD data);
	
	//4.1.8 
	void SET_AO(BYTE cardNo, WORD axis, short int data);
	
	//4.1.9 
	void STOP_SLOWLY(BYTE cardNo, WORD axis);
	void STOP_SUDDENLY(BYTE cardNo, WORD axis);

	//4.2
	BYTE SEARCH_NHOME(BYTE cardNo, WORD axis, WORD nDir, DWORD v,long lBack);

	BYTE SEARCH_HOME(BYTE cardNo, WORD axis, WORD nDir, DWORD v,long lBack);

	BYTE SEARCH_ZPHASE(BYTE cardNo, WORD axis, WORD nDir, DWORD v);

	BYTE AUTO_HOME(BYTE cardNo, WORD axis, WORD nStep1,WORD nStep2, WORD nStep3, WORD nStep4 , long lOffset,DWORD dwV,DWORD dwHV,long lBack);
   

	//4.3.1 
	BYTE FIXED_MOVE(BYTE cardNo, WORD axis, long data);

	//4.3.2 
	BYTE CONTINUE_MOVE(BYTE cardNo, WORD axis1, long data);

	//4.3.3 
	BYTE STOP_WAIT(BYTE cardNo, WORD axis);

	//4.4.2 
	void VECTOR_SPEED(BYTE cardNo, WORD nMode);

	//4.4.3 
	void SET_VSV(BYTE cardNo, DWORD data);

	//4.4.4 
	void SET_VV(BYTE cardNo, DWORD data);

	//4.4.5 
	void SET_VA(BYTE cardNo, DWORD data);

	//4.4.6 
	void SET_VD(BYTE cardNo, DWORD data);

	//4.4.7 
	void SET_VK(BYTE cardNo, DWORD data);

	//4.4.9 
	void SET_VAO(BYTE cardNo, short int data);

	//4.4.10 
	void VSTOP_SLOWLY(BYTE cardNo);

	void VSTOP_SUDDENLY(BYTE cardNo);

	void DRV_HOLD(BYTE cardNo, WORD axis);

	void DRV_START(BYTE cardNo, WORD axis);

	//4.4.11 
	void INTP_END(BYTE cardNo);

	//4.5.1 
	BYTE LINE_2D(BYTE cardNo, long fp1, long fp2);

	//4.5.3 
	BYTE ARC_CW(BYTE cardNo, long cp1, long cp2, long fp1, long fp2);
	BYTE ARC_CCW(BYTE cardNo, long cp1, long cp2, long fp1, long fp2);


	//4.5.4 
	BYTE CIRCLE_CW(BYTE cardNo, long cp1, long cp2);
	BYTE CIRCLE_CCW(BYTE cardNo, long cp1, long cp2);

	//5.1.1 
	void EXD_MP(BYTE cardNo, WORD axis, long data);

	//5.1.2 
	void EXD_FP(BYTE cardNo, WORD axis, long data);

	//5.1.3 
	void EXD_CP(BYTE cardNo, WORD axis, long data);

	//5.1.4 
	void EXD_DISABLE(BYTE cardNo, WORD axis);
	
	//5.2 
	BYTE RECTANGLE(BYTE cardNo, WORD nAcc, WORD Sp, WORD nDir, long Lp, long Wp, long Rp,DWORD RSV,DWORD RV, DWORD RA, DWORD RD);

	//5.3 
	void LINE_2D_INITIAL(BYTE cardNo, DWORD VSV, DWORD VV, DWORD VA);
	//	  
	BYTE LINE_2D_CONTINUE(BYTE cardNo, WORD nType, long fp1, long fp2);

	//5.4 
	BYTE CONTINUE_INTP(BYTE cardNo, WORD nAcc, DWORD VSV, DWORD VV, DWORD VA, DWORD VD,BYTE nType[ ], long cp1[ ], long cp2[ ], long fp1[ ], long fp2[ ]);
	
	//5.5 
	void RATIO_INITIAL(BYTE cardNo, DWORD SV, DWORD V, DWORD A, float ratio) ;

	//    
	BYTE RATIO_2D(BYTE cardNo, WORD nType, long data, WORD nDir);


	//---------------------------------------------------------------------------- 
	//5.6 
	void MIX_2D_INITIAL(BYTE cardNo, WORD nAcc, DWORD VSV, DWORD VV, DWORD VA);
	BYTE MIX_2D_CONTINUE(BYTE cardNo, WORD nAcc, WORD nType, long cp1, long cp2, long fp1, long fp2);

};

//============================================================================
//========================== Base Function Class =============================
//============================ Release Manual ================================
//============================================================================
class CI8092
{
	public:
	void COMMAND(BYTE cardNo, WORD axis, WORD cmd);
	void SET_WR1(BYTE cardNo, WORD axis, WORD wdata);
	void SET_WR2(BYTE cardNo, WORD axis, WORD wdata);
	void SET_WR3(BYTE cardNo, WORD axis, WORD wdata);
	void SET_WR4(BYTE cardNo, WORD wdata);
	void SET_WR5(BYTE cardNo, WORD wdata);
	WORD GET_RR0(BYTE cardNo);
	WORD GET_RR1(BYTE cardNo, WORD axis);
	WORD GET_RR2(BYTE cardNo, WORD axis);
	WORD GET_RR3(BYTE cardNo, WORD axis);
	WORD GET_RR4(BYTE cardNo);
	WORD GET_RR5(BYTE cardNo);
	//------------------------------------------------------------------------  
	BYTE REGISTRATION(BYTE cardNo, BYTE slot);
	WORD GET_VERSION(void);
	void PULSE_MODE(BYTE cardNo, WORD axis, WORD mode);
	void SET_R(BYTE cardNo, WORD axis, DWORD wdata);
	DWORD GET_R(BYTE cardNo, WORD axis);
	void HLMTP_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
	void HLMTM_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
	void SLMTP_MODE(BYTE cardNo, WORD axis, WORD nMode);
	void SLMTM_MODE(BYTE cardNo, WORD axis, WORD nMode);
	void COMPARE_LP(BYTE cardNo, WORD axis);
	void COMPARE_EP(BYTE cardNo, WORD axis);
	void RESET_CARD(BYTE cardNo);
	//------------------------------------------------------------------------
	void SET_LP(BYTE cardNo, WORD axis, long wdata);
	void SET_EP(BYTE cardNo, WORD axis, long wdata);
	long GET_LP(BYTE cardNo, WORD axis);
	long GET_EP(BYTE cardNo, WORD axis);
	WORD GET_CV(BYTE cardNo, WORD axis);
	WORD GET_CA(BYTE cardNo, WORD axis);
	void SET_CP(BYTE cardNo, WORD axis, long dwdata);
	void SET_CM(BYTE cardNo, WORD axis, long dwdata);
	void VRING_ENABLE(BYTE cardNo, WORD axis, long nVRing);
	void VRING_DISABLE(BYTE cardNo, WORD axis);
	void AVTRI_ENABLE(BYTE cardNo, WORD axis);
	void AVTRI_DISABLE(BYTE cardNo, WORD axis);
	//------------------------------------------------------------------------
	void SET_SV(BYTE cardNo, WORD axis, WORD wdata);
	void SET_V(BYTE cardNo, WORD axis, WORD wdata);
	void SET_A(BYTE cardNo, WORD axis, WORD wdata);
	void SET_D(BYTE cardNo, WORD axis, WORD wdata);
	void SET_K(BYTE cardNo, WORD axis, WORD wdata);
	//void SET_L(BYTE cardNo, WORD axis, WORD wdata)
	//{i8092_SET_L(cardNo, axis, wdata);}
	void SET_PULSE(BYTE cardNo, WORD axis, DWORD wdata) ;
	void SET_AO(BYTE cardNo, WORD axis, WORD wdata) ;
	void SET_TCURVE(BYTE cardNo, WORD axis);
	void SET_SCURVE(BYTE cardNo, WORD axis);
	void SET_AUTODEC(BYTE cardNo, WORD axis);
	void SET_MANDEC(BYTE cardNo, WORD axis, DWORD decdata) ;
	void DRV_FDRIVE(BYTE cardNo, WORD axis, WORD ndir);
	void DRV_CDRIVE(BYTE cardNo, WORD axis, WORD ndir);
	void SET_SYMMETRY(BYTE cardNo, WORD axis);
	void SET_ASYMMETRY(BYTE cardNo, WORD axis);
	void STOP_WAIT(BYTE cardNo, WORD axis);
	void STOP_SLOWLY(BYTE cardNo, WORD axis);
	void STOP_SUDDENLY(BYTE cardNo, WORD axis);
	void DRV_HOLD(BYTE cardNo, WORD axis);
	void DRV_START(BYTE cardNo, WORD axis);
	//------------------------------------------------------------------------
	void MOTION_TYPE(BYTE cardNo, WORD type);
	void SET_FINISH(BYTE cardNo, WORD axis, long ldata);
	void LINE_2D(BYTE cardNo, long fp1, long fp2);

	void SET_CENTER(BYTE cardNo, WORD axis, DWORD dwdata);
	void ARC_CW(BYTE cardNo, long cp1, long cp2, long fp1, long fp2);
	void ARC_CCW(BYTE cardNo, long cp1, long cp2, long fp1, long fp2);
	void CIRCLE_CW(BYTE cardNo, long cp1, long cp2);
	void CIRCLE_CCW(BYTE cardNo, long cp1, long cp2);
	void NEXT_WAIT(BYTE cardNo);
	void BP_ENABLE(BYTE cardNo);
	void BP_DISABLE(BYTE cardNo);
	void BP_CLEAR(BYTE cardNo);
	void BP_STACK(BYTE cardNo);
	void BP_WAIT(BYTE cardNo);
	//------------------------------------------------------------------------
	void ST0_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
	void ST1_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
	void ST2_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);

	void HOME1(BYTE cardNo, WORD axis, WORD nDir, WORD v);
	void HOME2(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv);
	void HOME3(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv);
	void HOME4(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv);
	void HOME5(BYTE cardNo, WORD axis, WORD nDir, WORD v, long offset);
	void HOME6(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv, long offset);
	void HOME7(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv, long offset);
	void HOME8(BYTE cardNo, WORD axis, WORD nDir, WORD v, WORD hv, long offset);
	//------------------------------------------------------------------------
	void LIMITSTOP_MODE(BYTE cardNo, WORD axis, WORD nMode);
	void ENCODER_MODE(BYTE cardNo, WORD axis, WORD nMode);
	void ENCODER_DIVISION(BYTE cardNo, WORD axis, WORD nMode);
	void ALARM_ENABLE(BYTE cardNo, WORD axis);
	void ALARM_DISABLE(BYTE cardNo, WORD axis);
	void INPOS_ENABLE(BYTE cardNo, WORD axis);
	void INPOS_DISABLE(BYTE cardNo, WORD axis);
	void ALARM_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
	void INPOS_LEVEL(BYTE cardNo, WORD axis, WORD nLevel) ;
	void INnSTOP_ENABLE(BYTE cardNo, WORD axis, WORD INn);
	void INnSTOP_DISABLE(BYTE cardNo, WORD axis, WORD INn);
	void IN3_LEVEL(BYTE cardNo, WORD axis, WORD nLevel);
	void EXTDRV_DISABLE(BYTE cardNo, WORD axis);
	void EXTDRV_CDRIVE(BYTE cardNo, WORD axis);
	void EXTDRV_FDRIVE(BYTE cardNo, WORD axis);
	void EXTDRV_MANUAL(BYTE cardNo, WORD axis);
    void SET_OUT0(BYTE cardNo, WORD axis, WORD nLevel);
	void SET_OUT1(BYTE cardNo, WORD axis, WORD nLevel);
	void DIGITAL_FILTER(BYTE cardNo, WORD axis, WORD FEn, WORD FLn);
	void SERVO_ON(BYTE cardNo, WORD axis);
	void SERVO_OFF(BYTE cardNo, WORD axis);
	//------------------------------------------------------------------------
	WORD FRNET_RA(BYTE cardNo, WORD wRA);			
	void FRNET_SA(BYTE cardNo, WORD wSA, WORD data);
};

#endif

